Package org.apache.sling.cms.core.internal.models

## Class PageTemplateImpl

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.PageTemplateImpl

All Implemented Interfaces:
  `PageTemplate`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=org.apache.sling.cms.PageTemplate.class)
    public class PageTemplateImpl
    extends Object
    implements PageTemplate

A simple model for representing a page template

### Constructor Summary

Constructors
`PageTemplateImpl​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getAllowedPaths()`
`List<ComponentPolicy>` `getComponentPolicies()`
`List<org.apache.sling.api.resource.Resource>` `getFields()`
`org.apache.sling.api.resource.Resource` `getResource()`
`String` `getTemplate()`
`String` `getTitle()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PageTemplateImpl

    public PageTemplateImpl​(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getAllowedPaths

    public String[] getAllowedPaths()

Specified by:
  `getAllowedPaths` in interface `PageTemplate`
Returns:
  the allowedPaths

#### getComponentPolicies

    public List<ComponentPolicy> getComponentPolicies()

Specified by:
  `getComponentPolicies` in interface `PageTemplate`

#### getFields

    public List<org.apache.sling.api.resource.Resource> getFields()

Returns:
  the fields

#### getResource

    public org.apache.sling.api.resource.Resource getResource()

Specified by:
  `getResource` in interface `PageTemplate`
Returns:
  the resource

#### getTemplate

    public String getTemplate()

Specified by:
  `getTemplate` in interface `PageTemplate`
Returns:
  the template

#### getTitle

    public String getTitle()

Specified by:
  `getTitle` in interface `PageTemplate`
Returns:
  the title

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`